﻿using System;
using OpenCvSharp;

namespace LibOpenCV.Methods
{
    public partial class OpenCV : IDisposable
    {
        private readonly CvMat intrinsic = null;
        private readonly CvMat distortion = null;

        public OpenCV( string XmlCamSettingFile )
        {
            // パラメータファイルの読込み
            using( CvFileStorage fs = new CvFileStorage( XmlCamSettingFile, null, FileStorageMode.Read ) ) {
                CvFileNode param = fs.GetFileNodeByName( null, "intrinsic" );
                intrinsic = fs.Read<CvMat>( param );
                param = fs.GetFileNodeByName( null, "distortion" );
                distortion = fs.Read<CvMat>( param );
            }
        }

        public void Dispose()
        {
            // 
            intrinsic.Dispose();
            distortion.Dispose();
        }
    }
}
