﻿using System.Drawing;
using OpenCvSharp;

namespace LibOpenCV.Methods
{
    public partial class OpenCV
    {
        public Bitmap Perspective( Bitmap Orignal )
        {
            // BitmapからIplImageに変換
            using( IplImage ipl = new IplImage( Orignal.Width, Orignal.Height, BitDepth.U8, 3 ) ) {
                ipl.CopyFrom( new Bitmap( Orignal ) );

                // ディストーション補正
                using( IplImage img = ipl.Clone() ) {
                    // 歪み補正
                    Cv.Undistort2( ipl, img, intrinsic, distortion );

                    return img.ToBitmap();
                }
            }
        }
    }
}
